aboutsummaryrefslogtreecommitdiff
path: root/bin/urlmt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/urlmt.sh')
-rw-r--r--bin/urlmt.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/bin/urlmt.sh b/bin/urlmt.sh
index cd71b0fd..69bef5f7 100644
--- a/bin/urlmt.sh
+++ b/bin/urlmt.sh
@@ -1,8 +1,10 @@
# Get the MIME type for a given URL
-urlh "$1" Content-Type |
-
-# Use last line only, remove any charset suffix
-sed '
-$!d
-s/;.*//
-'
+self=urlmt
+if [ "$#" -ne 1 ] || [ -z "$1" ] ; then
+ printf >&2 '%s: Need a single URL\n' \
+ "$self"
+ exit 2
+fi
+url=$1
+curl --head --output /dev/null --write-out '%{content_type}\n' "$url" |
+ awk -F\; '{print $1}'